## mx4j.server.interceptor
Class DefaultMBeanServerInterceptorMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.server.interceptor.DefaultMBeanServerInterceptorMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class DefaultMBeanServerInterceptorMBeanDescription
extends MBeanDescriptionAdapter

Management interface description for the DefaultMBeanServerInterceptor MBean

Version:
  $Revision: 1.3 $

Constructor Summary
`DefaultMBeanServerInterceptorMBeanDescription()`

Method Summary
`java.lang.String` `getAttributeDescription(java.lang.String attribute)` Should return the description for the specified attribute.
`java.lang.String` `getMBeanDescription()` Should return the description of the MBean.

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorDescription, getConstructorParameterDescription, getConstructorParameterName, getOperationDescription, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMBeanServerInterceptorMBeanDescription

    public DefaultMBeanServerInterceptorMBeanDescription()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`
  Overrides:
    `getMBeanDescription` in class `MBeanDescriptionAdapter`

### getAttributeDescription

    public java.lang.String getAttributeDescription(java.lang.String attribute)

  Description copied from interface: `MBeanDescription`
  Should return the description for the specified attribute. For example: "The port on which the rmiregistry will wait on for client requests"

  Specified by:
    `getAttributeDescription` in interface `MBeanDescription`
  Overrides:
    `getAttributeDescription` in class `MBeanDescriptionAdapter`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.